using System.IdentityModel.Tokens.Jwt;

namespace FitConnect.Encryption;

public interface IEncryptor {
    public (string plainText, byte[] plainBytes, byte[] tag) Decrypt(string key, string cipher);
    public string Encrypt(string key, string plain);
    public string Encrypt(string key, byte[] plain);
}
