using FitConnect.RestService;
using FitConnect.Services.Models.v1;

namespace FitConnect.Services;

public class CasesService : RestCallService, ICasesService {
    public CasesService(string baseUrl) : base(baseUrl) {
    }


    /// <summary>
    ///     <para>
    ///         @GetMapping("/cases/{caseId}/events")
    ///     </para>
    /// </summary>
    /// <param name="caseId">PathVariable</param>
    /// <param name="offset">RequestParam</param>
    /// <param name="limit">RequestParam</param>
    /// <returns></returns>
    /// <exception cref="NotImplementedException"></exception>
    public EventLogDto GetEventLog(string caseId, int offset, int limit) {
        throw new NotImplementedException();
    }

    // 
    /// <summary>
    ///     <para>@PostMapping(value = "/cases/{caseId}/events", consumes = "application/jose")</para>
    /// </summary>
    /// <param name="caseId">PathVariable</param>
    /// <param name="eventToken">RequestBody</param>
    /// <returns></returns>
    /// <exception cref="NotImplementedException"></exception>
    public bool ProcessCaseEvent(string caseId, string eventToken) {
        throw new NotImplementedException();
    }

    public void FinishSubmission(string caseId, string token) {
        
    }
}
